.job-thumbnail {
	position: relative;
	display: grid; overflow: hidden;
	padding: 20px;
	
	border-radius: 30px;
	border: solid 1px #D5ED99;
	
	isolation: isolate;
}
.job-thumbnail:before {
	content: '';
	display: block;
	padding-top: 120%;
}

/*---------------------------------------------------------------*/

.job-thumbnail > .illustration {
	position: absolute; top: 0; left: 0; z-index: -1;
	width: 100%; height: 100%;
}

/*---------------------------------------------------------------*/

.job-thumbnail > .apply-btn {
	position: absolute; top: 20px; right: 20px; z-index: 1;
	display: block; height: 40px; width: 40px;
	
	background-color: #D5ED99;
	border-radius: 20px;
}
.job-thumbnail > .apply-btn:before {
	content: '';
	position: absolute; top: 0; left: 0;
	display: block; height: 100%; width: 100%;
	
	background-color: #1C3558;
	
	--mask-image: url("../../images/icons/cta-arrow.svg");
	--mask-repeat: no-repeat;
	--mask-position: center;
	--mask-size: 50%;
	
	-webkit-mask-image: var(--mask-image);
	mask-image: var(--mask-image);
	-webkit-mask-repeat: var(--mask-repeat);
	mask-repeat: var(--mask-repeat);
	-webkit-mask-position: var(--mask-position);
	mask-position: var(--mask-position);
	-webkit-mask-size: var(--mask-size);
	mask-size: var(--mask-size);
}
.job-thumbnail > .apply-btn > .label {
	position: absolute; top: 0; right: 35px; transform: translateX(20px);
	display: flex; height: 100%; width: auto;
	justify-content: center;
	align-items: center;
	padding: 0 25px;
	
	background-color: inherit;
	border-radius: 20px;
	
	white-space: nowrap;
	text-align: center;
	font-size: 20px;
	font-weight: 500;
	color: #1C3558;
	
	opacity: 0;
	pointer-events: none;
	
	transition:
		transform .2s ease-out,
		opacity	  .2s ease-out;
}
.job-thumbnail > .apply-btn:hover > .label {
	transform: translateX(0);
	opacity: 1;
}

/*---------------------------------------------------------------*/

.job-thumbnail > .overlay {
	position: absolute; bottom: 0; left: 0;
	display: flex; max-height: 100%; width: 100%;
	flex-direction: column;
	justify-content: flex-end;
	row-gap: 25px;
	padding: 75px 25px 25px;
	
	background-image: linear-gradient(to top, rgba(0,0,0,.3) calc(100% - 50px), transparent);
	
	text-align: center;
}

.job-thumbnail > .overlay > .title {
	margin: 0;
	
	font-size: 26px;
	font-weight: 600;
}

.job-thumbnail > .overlay > .tags {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	column-gap: 5px;
	row-gap: 5px;
}
.job-thumbnail > .overlay > .tags > .tag {
	padding: 0 15px;
	
	border-radius: 25px;
	border: solid 1px #000;
	
	white-space: nowrap;
	
	text-align: center;
	line-height: 25px;
	font-size: 12px;
	font-weight: 500;
	color: #000;
}